Skip to main content
GET
/
v1
/
terminal
/
locations
/
{id}
Retrieve a terminal location
curl --request GET \
  --url https://api.yorlet.com/v1/terminal/locations/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.yorlet.com/v1/terminal/locations/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.yorlet.com/v1/terminal/locations/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created": 123,
  "object": "terminal.location",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "country": "<string>",
    "postal_code": "<string>",
    "state": "<string>"
  },
  "display_name": "<string>",
  "marketing": {
    "brand": {
      "color": "<string>",
      "icon": "<string>"
    },
    "description": "<string>",
    "featured_photo": "<string>",
    "photos": [
      "<string>"
    ]
  },
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Get a terminal location

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
terminal.location
address
object
required

The physical address of the location.

display_name
string
required

A name for the location that is displayed to customers.

marketing
object
required

Marketing details displayed for the location.

subtype
enum<string> | null
required

A more specific subtype categorisation for the location.

Available options:
bar,
brewery,
coffee_shop,
quick_service,
restaurant,
food_court,
bakery,
clothing,
home,
grocery,
event_venue,
nightclub,
professional_services,
reception,
null
type
enum<string>
required

The category of the location.

Available options:
food_and_beverage,
retail,
entertainment,
services,
building_services
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object | null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.